create procedure rrhh.sp_guardarUnidadTrabajo
@numId int,
@txtUnidadTrabajo varchar(300),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	declare @dbCnt int;
	declare @dbError varchar(300);

	SELECT @dbCnt = COUNT(*) FROM rrhh.cat_unidadesTrabajo WHERE unidadTrabajo = @txtUnidadTrabajo and estado = 1 and id != @numId;

	if @dbCnt > 0
		begin
			set @dbError = 'duplicado';
		end

	if @dbError is null
		begin
			if @numId = 0
				begin
					insert into rrhh.cat_unidadesTrabajo(unidadTrabajo,idUsuario) values(@txtUnidadTrabajo,@numUsuario);
					select @dbId = SCOPE_IDENTITY();
				end
			else
				begin
					set @dbId = @numId;
					update rrhh.cat_unidadesTrabajo set unidadTrabajo = @txtUnidadTrabajo where id = @dbId;
				end
		end

	set @dbRespuesta = isnull(@dbError,'success');
end